<!DOCTYPE html>
<html >
  <head>
    <meta charset="UTF-8">
    <title>Chat IO</title>
    <link rel="stylesheet" href="/css/style.css">
  </head>
  <body>
    <div class="title-page">Kydon Chat Application</div>
    <div class="login-page">
      <div class="form">
        <div class="social-buttons">
          <div><span>Login</span> via</div>
          <a href="/auth/facebook">
            <img class="loginBtn" src="img/facebookLoginBtn.png" alt="Sign-In with Facebook">
          </a>

          <a href="/auth/twitter">
            <img class="loginBtn" src="img/twitterLoginBtn.png" alt="Sign-In with Twitter">
          </a>

          <a href="/auth/google">
            <img class="loginBtn" src="img/googleLoginBtn.png" alt="Sign-In with Google">
          </a>
        </div>

        <div class="form-line"></div>

        <div style="margin-top: 18px;">
            <form action="/register" class="register-form" method="post" >
              <input type="text" name="username" placeholder="username"/>
              <input type="password" name="password" placeholder="password"/>
              <button type="submit">create</button>
              <p class="message">Already registered? <a href="#">Sign In</a></p>
              <% if (errors != null && showRegisterForm != null && showRegisterForm === true) { %>
                <% errors.forEach(function(err){ %>
                  <p class="message error"><%= err %></p>
                <% }); %>
              <% } %>
            </form>
            <form action="/login" class="login-form" method="post">
              <input type="text" name="username" placeholder="username"/>
              <input type="password" name="password" placeholder="password"/>
              <button type="submit">login</button>
              <p class="message">Not registered? <a href="#">Create an account</a></p>
              <% if (errors != null && showRegisterForm == null) { %>
                <% errors.forEach(function(err){ %>
                  <p class="message error"><%= err %></p>
                <% }); %>
              <% } if (success != null && showRegisterForm == null) { %>
                <p class="message success"><%= success %></p>
              <% } %>
            </form>
        </div>
    </div> <!-- end form -->
    </div> <!-- end login container -->
    <script src='http://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.0/jquery.min.js'></script>
    <% if(showRegisterForm != null && showRegisterForm === true) { %>
        <script>
          $('.register-form').show(); $('.login-form, .social-buttons, .form-line').hide();
        </script>
    <% } %>
    <script>
        $('.message a').click(function(){
            $('form, .social-buttons, .form-line').animate({height: "toggle", opacity: "toggle"}, "slow");
          });
    </script>
  </body>
</html>
